Package org.eclipse.net4j.db

## Class DBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.db.DBException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `SchemaElementNotFoundException`

      public class DBException
      extends java.lang.RuntimeException

  A `runtime exception` thrown to indicate problems with a database, frequently used to wrap checked `SQL exceptions`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DBException()` |
    `DBException​(java.lang.String message)` |
    `DBException​(java.lang.String message, java.lang.Throwable cause)` |
    `DBException​(java.lang.String message, java.lang.Throwable cause, java.lang.String sql)` |
    `DBException​(java.lang.Throwable cause)` |
    `DBException​(java.lang.Throwable cause, java.lang.String sql)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DBException

          public DBException()

    - #### DBException

          public DBException​(java.lang.String message)

    - #### DBException

          public DBException​(java.lang.Throwable cause)

    - #### DBException

          public DBException​(java.lang.String message,
                             java.lang.Throwable cause)

    - #### DBException

          public DBException​(java.lang.Throwable cause,
                             java.lang.String sql)

      Since:
        4.0

    - #### DBException

          public DBException​(java.lang.String message,
                             java.lang.Throwable cause,
                             java.lang.String sql)

      Since:
        4.0